Ext.namespace('dSS', 'dSS.data');

dSS.data.GroupStore = Ext.extend(Ext.data.Store, {
    constructor: function(config) {
        // create a record constructor for zone records
        var groupRecord = Ext.data.Record.create([
        {
            name: 'name'
        },
        {
            name: 'id'
        },
        {
            name: 'isValid'
        },
        {
            name: 'color',
            deaultValue: -1
        },
        {
            name: 'sortorder',
            defaultValue: 16 
        },
        {
            name: 'css'
        }
        ]);

        // a json reader to read the zone data
        var groupReader = new Ext.data.JsonReader({
            root: 'groups'
        },
        groupRecord);

        Ext.apply(this, {
            reader: groupReader,
            hasMultiSort: true,
            multiSortInfo: {
                sorters: [
                    {
                        field: 'sortorder',
                        direction: 'ASC'
                    },
                    {
                        field: 'name',
                        direction: 'ASC'
                    }
                ],
                direction: 'ASC'
            }
        });

        dSS.data.GroupStore.superclass.constructor.call(this, arguments);

        this.on('load', function(store, records, options) {
                store.sort([ { field: 'sortorder', direction: 'ASC' },
                             { field: 'name', direction: 'ASC' } ]);
            },
            this);
    },
    doSort: function() {
        this.sort([ { field: 'sortorder', direction: 'ASC' },
                    { field: 'name', direction: 'ASC' } ]);
    }
});

